{% extends "base.html" %}
{% block content %}
    <div class="container ">
        <div class="jumbotron">
                <h1 class="display-4">{{ user.firstname }} {{user.lastname}}</h1>
                <p class="lead">{% if user.about_me %}<p>{{ user.about_me }}</p>{% endif %}</p>
                <hr class="my-4">
                    {% if user.last_seen %}
                    <p>Last seen on: {{ moment(user.last_seen).format('LLL') }}</p>
                    {% endif %}
                <p>{{ user.followers.count() }} followers, {{ user.followed.count() }} following.</p>
                {% if user == current_user %}
                    <a class="btn btn-primary btn" href="{{ url_for('edit_profile') }}" role="button">Edit your profile<a>
                    {% elif not current_user.is_following(user) %}
                    <p><a href="{{ url_for('follow', username=user.username) }}">Follow</a></p>
                    {% else %}
                    <p><a href="{{ url_for('unfollow', username=user.username) }}">Unfollow</a></p>
                    {% endif %}
        </div>
    </div>    

{% for post in posts %}
    
<div class= "container offset-lg-1 offset-md-1 col-lg-8 col-md-8 col-sm-12">
    <div class="card">
        <div class="card-body">
            <h5 class="card-title">{{ post.author.firstname }}{{post.author.lastname}}</h5>
            <h6 class="card-subtitle mb-7 text-muted"> {{ moment(post.timestamp).fromNow() }}</h6>
            <p class="card-text">{{ post.body }}</p>
            {{post.likers.count()}}likes
                {% if post in current_user.liked%}
                    <a class="card-link" id = "dislike" name = "dislike" href="{{ url_for('dislike', post_id=post.id) }}">dislike</i></a>
                {% else %}
                    <a class="card-link" id = "like" name = "like" href="{{ url_for('like', post_id=post.id) }}">like</i></a>
                {% endif %}  
                <form action="/index/{{current_user.id}}/{{post.id}}", method="post">
                    {{ comment_form.hidden_tag() }}
                    <p>
                        {{ comment_form.body(cols=32, rows=4) }}<br>
                        {% for error in comment_form.body.errors %}
                        <span style="color: red;">[{{ error }}]</span>
                        {% endfor %}
                    </p>
                    <p></p>
                    <p>{{ comment_form.submit()}}</p>
                </form>
                {% for comment in comments %}
                    {% if comment.post_id == post.id %}
                        {{comment.user.firstname}} {{comment.user.lastname}}--{{comment.body}}<br>
                    {% endif %}
                {% endfor %}
        </div> 
    </div>
</div>
<br>

{% endfor %}
{% endblock %}

